Retrieve observed events
Retrieves a collection of observed events, which helps you monitor and analyze occurrences within your environment. Use this to filter and understand event severities, with the option to include 'DEBUG' events when needed.
HTTP method and endpoint
GET /support/ems/events
Introduced in
ONTAP 9.6
Usage notes
|
|
The default behavior is to filter 'DEBUG' severity events. If those events are required, a severity query must be provided. |
Related ONTAP commands
-
event log show
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
time |
string |
query |
False |
Filter by time |
message.name |
string |
query |
False |
Filter by message.name |
message.severity |
string |
query |
False |
Filter by message.severity |
source |
string |
query |
False |
Filter by source |
log_message |
string |
query |
False |
Filter by log_message |
parameters.name |
string |
query |
False |
Filter by parameters.name |
parameters.value |
string |
query |
False |
Filter by parameters.value |
index |
integer |
query |
False |
Filter by index |
node.uuid |
string |
query |
False |
Filter by node.uuid |
node.name |
string |
query |
False |
Filter by node.name |
filter.name |
string |
query |
False |
Filter the collection returned using an event filter
|
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.
|
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
num_records |
integer |
Number of records |
records |
array[records] |
Example response
{
"_links": {
"next": {
"href": "/api/resourcelink"
},
"self": {
"href": "/api/resourcelink"
}
},
"num_records": 1,
"records": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"index": 1,
"log_message": "string",
"message": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "callhome.spares.low",
"severity": "emergency"
},
"node": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"parameters": [
{
"name": "numOps",
"value": 123
}
],
"source": "string",
"time": "string"
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
983093 |
The provided filter is unknown. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
| Name | Type | Description |
|---|---|---|
next |
||
self |
self
| Name | Type | Description |
|---|---|---|
href |
string |
_links
| Name | Type | Description |
|---|---|---|
self |
_links
| Name | Type | Description |
|---|---|---|
self |
message
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
Message name of the event. Returned by default. |
severity |
string |
Severity of the event. Returned by default. |
node
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
parameters
| Name | Type | Description |
|---|---|---|
name |
string |
Name of parameter |
value |
string |
Value of parameter |
records
| Name | Type | Description |
|---|---|---|
_links |
||
index |
integer |
Index of the event. Returned by default. |
log_message |
string |
A formatted text string populated with parameter details. Returned by default. |
message |
||
node |
||
parameters |
array[parameters] |
A list of parameters provided with the EMS event. |
source |
string |
Source |
time |
string |
Timestamp of the event. Returned by default. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |